### Method

# GUPnP ServiceAction set_values

#### Declaration [src]

    void
    gupnp_service_action_set_values (
      GUPnPServiceAction* action,
      GList* arg_names,
      GList* arg_values
    )

#### Description [src]

Sets the specified action return values.

Available since: | 0.14.0

#### Parameters

`arg_names` | A list of `utf8`
| A `GList` of argument names.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`arg_values` | A list of `const GValue*`
| The `GList` of values (as `GValue`s) that line up with `arg_names`.
| The data is owned by the caller of the function.